[Fwd: Re: Cannot use pluggins on Slicer 3.6.1]

classic Classic list List threaded Threaded
20 messages Options
Reply | Threaded
Open this post in threaded view
|

[Fwd: Re: Cannot use pluggins on Slicer 3.6.1]

swallace
Just forwarding this dialogue for other users to reference...

---------------------------- Original Message ----------------------------
Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
From:    [hidden email]
Date:    Wed, August 25, 2010 8:02 am
To:      "Jordi Campos Carol" <[hidden email]>
Cc:      [hidden email]
--------------------------------------------------------------------------

What Slicer build are you using? The HelloWorld tutorial requires you to
download and build Slicer from source:

http://slicer.org/pages/SourceCode

>From here, the Slicer3-lib folder is built.

Hope that helps, and let us know if you run into any issues.

Stuart


> Hello everyone.
> I'm new at using 3D Slicer. I followed the training "program" on the
> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
> find the Slicer3-lib folder... is that normal?
> Thanks for your time.
>
> Jordi Campos Carol
> UPC-ESAII - CREB
> Ed.K2M - Lab-S204a
> 93 413 76 19
>
>
>
>
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to
> [hidden email] with unsubscribe as the
> subject
>
>
>


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

Jordi Campos Carol
Hi everybody.
I downloaded the source code, cygwin, and everything the tutorioals  
said... and qhen I tried to cbuild Slicer, I had these errors as  
feedback.
I tried to find where the errors where, but I couldn't.
Any ideas?
There's a txt file with the console text.
Thanks

Jordi Campos Carol
UPC-ESAII
Ed.K2M - Lab-S204a
93 413 76 19


S'està citant [hidden email]:

> Just forwarding this dialogue for other users to reference...
>
> ---------------------------- Original Message ----------------------------
> Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
> From:    [hidden email]
> Date:    Wed, August 25, 2010 8:02 am
> To:      "Jordi Campos Carol" <[hidden email]>
> Cc:      [hidden email]
> --------------------------------------------------------------------------
>
> What Slicer build are you using? The HelloWorld tutorial requires you to
> download and build Slicer from source:
>
> http://slicer.org/pages/SourceCode
>
>> From here, the Slicer3-lib folder is built.
>
> Hope that helps, and let us know if you run into any issues.
>
> Stuart
>
>
>> Hello everyone.
>> I'm new at using 3D Slicer. I followed the training "program" on the
>> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
>> find the Slicer3-lib folder... is that normal?
>> Thanks for your time.
>>
>> Jordi Campos Carol
>> UPC-ESAII - CREB
>> Ed.K2M - Lab-S204a
>> 93 413 76 19
>>
>>
>>
>>
>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>>
>>
>>
>
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to  
> [hidden email] with unsubscribe as  
> the subject
>


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject

Building Errors (2K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

pieper
Administrator
Hi Jordi -

It looks like the errors cropped up earlier in the process (some of the
core libraries failed to build like ITK, KWWidgets).  Please do a fresh
build and create a build log following the instructions here:

http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest

Best,
Steve

On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:

> Hi everybody.
> I downloaded the source code, cygwin, and everything the tutorioals
> said... and qhen I tried to cbuild Slicer, I had these errors as feedback.
> I tried to find where the errors where, but I couldn't.
> Any ideas?
> There's a txt file with the console text.
> Thanks
>
> Jordi Campos Carol
> UPC-ESAII
> Ed.K2M - Lab-S204a
> 93 413 76 19
>
>
> S'està citant [hidden email]:
>
>> Just forwarding this dialogue for other users to reference...
>>
>> ---------------------------- Original Message
>> ----------------------------
>> Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
>> From: [hidden email]
>> Date: Wed, August 25, 2010 8:02 am
>> To: "Jordi Campos Carol" <[hidden email]>
>> Cc: [hidden email]
>> --------------------------------------------------------------------------
>>
>>
>> What Slicer build are you using? The HelloWorld tutorial requires you to
>> download and build Slicer from source:
>>
>> http://slicer.org/pages/SourceCode
>>
>>> From here, the Slicer3-lib folder is built.
>>
>> Hope that helps, and let us know if you run into any issues.
>>
>> Stuart
>>
>>
>>> Hello everyone.
>>> I'm new at using 3D Slicer. I followed the training "program" on the
>>> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
>>> find the Slicer3-lib folder... is that normal?
>>> Thanks for your time.
>>>
>>> Jordi Campos Carol
>>> UPC-ESAII - CREB
>>> Ed.K2M - Lab-S204a
>>> 93 413 76 19
>>>
>>>
>>>
>>>
>>>
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>>
>>>
>>>
>>
>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>>
>
>
>
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

madanrao
Hello Jordi,

You need to rerun the build several times before Slicer3 is built successfully using Cygwin.

Please make sure you have Visual Studio 9 installed (and older versions
in the system like VS6 uninstalled).

There are several cygwin related issues on this forum in archives\ slicer web site which you may want to see.

To save time could you work on Slicer3 3.6 installed straightaway?

Hope this helps

AM Mohan Rao


On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper <[hidden email]> wrote:
Hi Jordi -

It looks like the errors cropped up earlier in the process (some of the
core libraries failed to build like ITK, KWWidgets).  Please do a fresh
build and create a build log following the instructions here:

http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest

Best,
Steve

On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
> Hi everybody.
> I downloaded the source code, cygwin, and everything the tutorioals
> said... and qhen I tried to cbuild Slicer, I had these errors as feedback.
> I tried to find where the errors where, but I couldn't.
> Any ideas?
> There's a txt file with the console text.
> Thanks
>
> Jordi Campos Carol
> UPC-ESAII
> Ed.K2M - Lab-S204a
> 93 413 76 19
>
>
> S'està citant [hidden email]:
>
>> Just forwarding this dialogue for other users to reference...
>>
>> ---------------------------- Original Message
>> ----------------------------
>> Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
>> From: [hidden email]
>> Date: Wed, August 25, 2010 8:02 am
>> To: "Jordi Campos Carol" <[hidden email]>
>> Cc: [hidden email]
>> --------------------------------------------------------------------------
>>
>>
>> What Slicer build are you using? The HelloWorld tutorial requires you to
>> download and build Slicer from source:
>>
>> http://slicer.org/pages/SourceCode
>>
>>> From here, the Slicer3-lib folder is built.
>>
>> Hope that helps, and let us know if you run into any issues.
>>
>> Stuart
>>
>>
>>> Hello everyone.
>>> I'm new at using 3D Slicer. I followed the training "program" on the
>>> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
>>> find the Slicer3-lib folder... is that normal?
>>> Thanks for your time.
>>>
>>> Jordi Campos Carol
>>> UPC-ESAII - CREB
>>> Ed.K2M - Lab-S204a
>>> 93 413 76 19
>>>
>>>
>>>
>>>
>>>
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>>
>>>
>>>
>>
>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>>
>
>
>
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

swallace
Jordi,

Make sure you are also running cygwin as an administrator. You an do this
by right clicking on the cygwin icon- this helps resolve some issues when
trying to build Slicer.

Stuart


> Hello Jordi,
>
> You need to rerun the build several times before Slicer3 is built
> successfully using Cygwin.
>
> Please make sure you have Visual Studio 9 installed (and older versions
> in the system like VS6 uninstalled).
>
> There are several cygwin related issues on this forum in archives\ slicer
> web site which you may want to see.
>
> To save time could you work on Slicer3 3.6 installed straightaway?
>
> Hope this helps
>
> AM Mohan Rao
>
>
> On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
> <[hidden email]>wrote:
>
>> Hi Jordi -
>>
>> It looks like the errors cropped up earlier in the process (some of the
>> core libraries failed to build like ITK, KWWidgets).  Please do a fresh
>> build and create a build log following the instructions here:
>>
>>
>> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest
>>
>> Best,
>> Steve
>>
>> On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>> > Hi everybody.
>> > I downloaded the source code, cygwin, and everything the tutorioals
>> > said... and qhen I tried to cbuild Slicer, I had these errors as
>> feedback.
>> > I tried to find where the errors where, but I couldn't.
>> > Any ideas?
>> > There's a txt file with the console text.
>> > Thanks
>> >
>> > Jordi Campos Carol
>> > UPC-ESAII
>> > Ed.K2M - Lab-S204a
>> > 93 413 76 19
>> >
>> >
>> > S'està citant [hidden email]:
>> >
>> >> Just forwarding this dialogue for other users to reference...
>> >>
>> >> ---------------------------- Original Message
>> >> ----------------------------
>> >> Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
>> >> From: [hidden email]
>> >> Date: Wed, August 25, 2010 8:02 am
>> >> To: "Jordi Campos Carol" <[hidden email]>
>> >> Cc: [hidden email]
>> >>
>> --------------------------------------------------------------------------
>> >>
>> >>
>> >> What Slicer build are you using? The HelloWorld tutorial requires you
>> to
>> >> download and build Slicer from source:
>> >>
>> >> http://slicer.org/pages/SourceCode
>> >>
>> >>> From here, the Slicer3-lib folder is built.
>> >>
>> >> Hope that helps, and let us know if you run into any issues.
>> >>
>> >> Stuart
>> >>
>> >>
>> >>> Hello everyone.
>> >>> I'm new at using 3D Slicer. I followed the training "program" on the
>> >>> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
>> >>> find the Slicer3-lib folder... is that normal?
>> >>> Thanks for your time.
>> >>>
>> >>> Jordi Campos Carol
>> >>> UPC-ESAII - CREB
>> >>> Ed.K2M - Lab-S204a
>> >>> 93 413 76 19
>> >>>
>> >>>
>> >>>
>> >>>
>> >>>
>> >>> _______________________________________________
>> >>> slicer-users mailing list
>> >>> [hidden email]
>> >>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> >>> To unsubscribe: send email to
>> >>> [hidden email] with unsubscribe as
>> the
>> >>> subject
>> >>>
>> >>>
>> >>>
>> >>
>> >>
>> >> _______________________________________________
>> >> slicer-users mailing list
>> >> [hidden email]
>> >> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> >> To unsubscribe: send email to
>> >> [hidden email] with unsubscribe as the
>> >> subject
>> >>
>> >
>> >
>> >
>> >
>> > _______________________________________________
>> > slicer-users mailing list
>> > [hidden email]
>> > http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> > To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to
> [hidden email] with unsubscribe as the
> subject

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

Jordi Campos Carol
Hello everyone.
Steve, I dowloaded the source code freshly again, and retry  
building... but still the same! I've created the build.log file with  
the instruccions you gave me (thanks a lot by the way).
It seems that some libraries are missing (as you said the last time...  
the ITK and KWWidgets), but I don't know what to do next, 'cause I  
don't know where to find them.

AM Mohan Rao, thanks for the advices of the visual studio. I've the  
2010 version installed... does it match? or it has to be the VS9  
version only?
The idea it's to be able to create my own slicer plugging (I'm a PhD  
biomedical engineering researcher) so it would be interesting to have  
a "modifiable" slicer program, that's why I cannot use the installed  
version... :( But thanks anyway! :D

I've to tell that I'm using Windows XP... that's what we have on the  
lab... I know Linux should be better but... I have no decision power  
(yet xD)

So anyone figures what is happening? Do I have a cursed computer? :D
Thanks 4 your time and patience with me!
Regards,

Jordi Campos Carol
UPC-ESAII
Ed.K2M - Lab-S204a
93 413 76 19


S'està citant [hidden email]:

> Jordi,
>
> Make sure you are also running cygwin as an administrator. You an do this
> by right clicking on the cygwin icon- this helps resolve some issues when
> trying to build Slicer.
>
> Stuart
>
>
>> Hello Jordi,
>>
>> You need to rerun the build several times before Slicer3 is built
>> successfully using Cygwin.
>>
>> Please make sure you have Visual Studio 9 installed (and older versions
>> in the system like VS6 uninstalled).
>>
>> There are several cygwin related issues on this forum in archives\ slicer
>> web site which you may want to see.
>>
>> To save time could you work on Slicer3 3.6 installed straightaway?
>>
>> Hope this helps
>>
>> AM Mohan Rao
>>
>>
>> On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
>> <[hidden email]>wrote:
>>
>>> Hi Jordi -
>>>
>>> It looks like the errors cropped up earlier in the process (some of the
>>> core libraries failed to build like ITK, KWWidgets).  Please do a fresh
>>> build and create a build log following the instructions here:
>>>
>>>
>>> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest
>>>
>>> Best,
>>> Steve
>>>
>>> On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>>> > Hi everybody.
>>> > I downloaded the source code, cygwin, and everything the tutorioals
>>> > said... and qhen I tried to cbuild Slicer, I had these errors as
>>> feedback.
>>> > I tried to find where the errors where, but I couldn't.
>>> > Any ideas?
>>> > There's a txt file with the console text.
>>> > Thanks
>>> >
>>> > Jordi Campos Carol
>>> > UPC-ESAII
>>> > Ed.K2M - Lab-S204a
>>> > 93 413 76 19
>>> >
>>> >
>>> > S'està citant [hidden email]:
>>> >
>>> >> Just forwarding this dialogue for other users to reference...
>>> >>
>>> >> ---------------------------- Original Message
>>> >> ----------------------------
>>> >> Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
>>> >> From: [hidden email]
>>> >> Date: Wed, August 25, 2010 8:02 am
>>> >> To: "Jordi Campos Carol" <[hidden email]>
>>> >> Cc: [hidden email]
>>> >>
>>> --------------------------------------------------------------------------
>>> >>
>>> >>
>>> >> What Slicer build are you using? The HelloWorld tutorial requires you
>>> to
>>> >> download and build Slicer from source:
>>> >>
>>> >> http://slicer.org/pages/SourceCode
>>> >>
>>> >>> From here, the Slicer3-lib folder is built.
>>> >>
>>> >> Hope that helps, and let us know if you run into any issues.
>>> >>
>>> >> Stuart
>>> >>
>>> >>
>>> >>> Hello everyone.
>>> >>> I'm new at using 3D Slicer. I followed the training "program" on the
>>> >>> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
>>> >>> find the Slicer3-lib folder... is that normal?
>>> >>> Thanks for your time.
>>> >>>
>>> >>> Jordi Campos Carol
>>> >>> UPC-ESAII - CREB
>>> >>> Ed.K2M - Lab-S204a
>>> >>> 93 413 76 19
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>> _______________________________________________
>>> >>> slicer-users mailing list
>>> >>> [hidden email]
>>> >>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >>> To unsubscribe: send email to
>>> >>> [hidden email] with unsubscribe as
>>> the
>>> >>> subject
>>> >>>
>>> >>>
>>> >>>
>>> >>
>>> >>
>>> >> _______________________________________________
>>> >> slicer-users mailing list
>>> >> [hidden email]
>>> >> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >> To unsubscribe: send email to
>>> >> [hidden email] with unsubscribe as the
>>> >> subject
>>> >>
>>> >
>>> >
>>> >
>>> >
>>> > _______________________________________________
>>> > slicer-users mailing list
>>> > [hidden email]
>>> > http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> > To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to  
> [hidden email] with unsubscribe as  
> the subject
>


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

Jordi Campos Carol
In reply to this post by swallace
Hello everyone.
Steve, I dowloaded the source code freshly again, and retry  
building... but still the same! I've created the build.log file with  
the instruccions you gave me (thanks a lot by the way).
It seems that some libraries are missing (as you said the last time...  
the ITK and KWWidgets), but I don't know what to do next, 'cause I  
don't know where to find them.

AM Mohan Rao, thanks for the advices of the visual studio. I've the  
2010 version installed... does it match? or it has to be the VS9  
version only?
The idea it's to be able to create my own slicer plugging (I'm a PhD  
biomedical engineering researcher) so it would be interesting to have  
a "modifiable" slicer program, that's why I cannot use the installed  
version... :( But thanks anyway! :D

I've to tell that I'm using Windows XP... that's what we have on the  
lab... I know Linux should be better but... I have no decision power  
(yet xD)

So anyone figures what is happening? Do I have a cursed computer? :D
Thanks 4 your time and patience with me!
Regards,

Jordi Campos Carol
UPC-ESAII
Ed.K2M - Lab-S204a
93 413 76 19


S'està citant [hidden email]:

> Jordi,
>
> Make sure you are also running cygwin as an administrator. You an do this
> by right clicking on the cygwin icon- this helps resolve some issues when
> trying to build Slicer.
>
> Stuart
>
>
>> Hello Jordi,
>>
>> You need to rerun the build several times before Slicer3 is built
>> successfully using Cygwin.
>>
>> Please make sure you have Visual Studio 9 installed (and older versions
>> in the system like VS6 uninstalled).
>>
>> There are several cygwin related issues on this forum in archives\ slicer
>> web site which you may want to see.
>>
>> To save time could you work on Slicer3 3.6 installed straightaway?
>>
>> Hope this helps
>>
>> AM Mohan Rao
>>
>>
>> On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
>> <[hidden email]>wrote:
>>
>>> Hi Jordi -
>>>
>>> It looks like the errors cropped up earlier in the process (some of the
>>> core libraries failed to build like ITK, KWWidgets).  Please do a fresh
>>> build and create a build log following the instructions here:
>>>
>>>
>>> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest
>>>
>>> Best,
>>> Steve
>>>
>>> On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>>> > Hi everybody.
>>> > I downloaded the source code, cygwin, and everything the tutorioals
>>> > said... and qhen I tried to cbuild Slicer, I had these errors as
>>> feedback.
>>> > I tried to find where the errors where, but I couldn't.
>>> > Any ideas?
>>> > There's a txt file with the console text.
>>> > Thanks
>>> >
>>> > Jordi Campos Carol
>>> > UPC-ESAII
>>> > Ed.K2M - Lab-S204a
>>> > 93 413 76 19
>>> >
>>> >
>>> > S'està citant [hidden email]:
>>> >
>>> >> Just forwarding this dialogue for other users to reference...
>>> >>
>>> >> ---------------------------- Original Message
>>> >> ----------------------------
>>> >> Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
>>> >> From: [hidden email]
>>> >> Date: Wed, August 25, 2010 8:02 am
>>> >> To: "Jordi Campos Carol" <[hidden email]>
>>> >> Cc: [hidden email]
>>> >>
>>> --------------------------------------------------------------------------
>>> >>
>>> >>
>>> >> What Slicer build are you using? The HelloWorld tutorial requires you
>>> to
>>> >> download and build Slicer from source:
>>> >>
>>> >> http://slicer.org/pages/SourceCode
>>> >>
>>> >>> From here, the Slicer3-lib folder is built.
>>> >>
>>> >> Hope that helps, and let us know if you run into any issues.
>>> >>
>>> >> Stuart
>>> >>
>>> >>
>>> >>> Hello everyone.
>>> >>> I'm new at using 3D Slicer. I followed the training "program" on the
>>> >>> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
>>> >>> find the Slicer3-lib folder... is that normal?
>>> >>> Thanks for your time.
>>> >>>
>>> >>> Jordi Campos Carol
>>> >>> UPC-ESAII - CREB
>>> >>> Ed.K2M - Lab-S204a
>>> >>> 93 413 76 19
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>> _______________________________________________
>>> >>> slicer-users mailing list
>>> >>> [hidden email]
>>> >>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >>> To unsubscribe: send email to
>>> >>> [hidden email] with unsubscribe as
>>> the
>>> >>> subject
>>> >>>
>>> >>>
>>> >>>
>>> >>
>>> >>
>>> >> _______________________________________________
>>> >> slicer-users mailing list
>>> >> [hidden email]
>>> >> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >> To unsubscribe: send email to
>>> >> [hidden email] with unsubscribe as the
>>> >> subject
>>> >>
>>> >
>>> >
>>> >
>>> >
>>> > _______________________________________________
>>> > slicer-users mailing list
>>> > [hidden email]
>>> > http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> > To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to  
> [hidden email] with unsubscribe as  
> the subject
>


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

Jordi Campos Carol
In reply to this post by Jordi Campos Carol
Sorryyy!!! I forgot to attach the build.log file!

Jordi Campos Carol
UPC-ESAII
Ed.K2M - Lab-S204a
93 413 76 19

-------------------------------------------
Hello everyone.
Steve, I dowloaded the source code freshly again, and retry  
building... but still the
same! I've created the build.log file with the instruccions you gave  
me (thanks a lot by
the way).
It seems that some libraries are missing (as you said the last time...  
the ITK and
KWWidgets), but I don't know what to do next, 'cause I don't know  
where to find them.

AM Mohan Rao, thanks for the advices of the visual studio. I've the  
2010 version
installed... does it match? or it has to be the VS9 version only?
The idea it's to be able to create my own slicer plugging (I'm a PhD  
biomedical
engineering researcher) so it would be interesting to have a  
"modifiable" slicer program,
that's why I cannot use the installed version... :( But thanks anyway! :D

I've to tell that I'm using Windows XP... that's what we have on the  
lab... I know Linux
should be better but... I have no decision power (yet xD)

So anyone figures what is happening? Do I have a cursed computer? :D
Thanks 4 your time and patience with me!
Regards,






Hello everyone.
Steve, I dowloaded the source code freshly again, and retry  
building... but still the same! I've created the build.log file with  
the instruccions you gave me (thanks a lot by the way).
It seems that some libraries are missing (as you said the last time...  
the ITK and KWWidgets), but I don't know what to do next, 'cause I  
don't know where to find them.

AM Mohan Rao, thanks for the advices of the visual studio. I've the  
2010 version installed... does it match? or it has to be the VS9  
version only?
The idea it's to be able to create my own slicer plugging (I'm a PhD  
biomedical engineering researcher) so it would be interesting to have  
a "modifiable" slicer program, that's why I cannot use the installed  
version... :( But thanks anyway! :D

I've to tell that I'm using Windows XP... that's what we have on the  
lab... I know Linux should be better but... I have no decision power  
(yet xD)

So anyone figures what is happening? Do I have a cursed computer? :D
Thanks 4 your time and patience with me!
Regards,

Jordi Campos Carol
UPC-ESAII
Ed.K2M - Lab-S204a
93 413 76 19


S'està citant [hidden email]:

> Jordi,
>
> Make sure you are also running cygwin as an administrator. You an do this
> by right clicking on the cygwin icon- this helps resolve some issues when
> trying to build Slicer.
>
> Stuart
>
>
>> Hello Jordi,
>>
>> You need to rerun the build several times before Slicer3 is built
>> successfully using Cygwin.
>>
>> Please make sure you have Visual Studio 9 installed (and older versions
>> in the system like VS6 uninstalled).
>>
>> There are several cygwin related issues on this forum in archives\ slicer
>> web site which you may want to see.
>>
>> To save time could you work on Slicer3 3.6 installed straightaway?
>>
>> Hope this helps
>>
>> AM Mohan Rao
>>
>>
>> On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
>> <[hidden email]>wrote:
>>
>>> Hi Jordi -
>>>
>>> It looks like the errors cropped up earlier in the process (some of the
>>> core libraries failed to build like ITK, KWWidgets).  Please do a fresh
>>> build and create a build log following the instructions here:
>>>
>>>
>>> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest
>>>
>>> Best,
>>> Steve
>>>
>>> On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>>> > Hi everybody.
>>> > I downloaded the source code, cygwin, and everything the tutorioals
>>> > said... and qhen I tried to cbuild Slicer, I had these errors as
>>> feedback.
>>> > I tried to find where the errors where, but I couldn't.
>>> > Any ideas?
>>> > There's a txt file with the console text.
>>> > Thanks
>>> >
>>> > Jordi Campos Carol
>>> > UPC-ESAII
>>> > Ed.K2M - Lab-S204a
>>> > 93 413 76 19
>>> >
>>> >
>>> > S'està citant [hidden email]:
>>> >
>>> >> Just forwarding this dialogue for other users to reference...
>>> >>
>>> >> ---------------------------- Original Message
>>> >> ----------------------------
>>> >> Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
>>> >> From: [hidden email]
>>> >> Date: Wed, August 25, 2010 8:02 am
>>> >> To: "Jordi Campos Carol" <[hidden email]>
>>> >> Cc: [hidden email]
>>> >>
>>> --------------------------------------------------------------------------
>>> >>
>>> >>
>>> >> What Slicer build are you using? The HelloWorld tutorial requires you
>>> to
>>> >> download and build Slicer from source:
>>> >>
>>> >> http://slicer.org/pages/SourceCode
>>> >>
>>> >>> From here, the Slicer3-lib folder is built.
>>> >>
>>> >> Hope that helps, and let us know if you run into any issues.
>>> >>
>>> >> Stuart
>>> >>
>>> >>
>>> >>> Hello everyone.
>>> >>> I'm new at using 3D Slicer. I followed the training "program" on the
>>> >>> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
>>> >>> find the Slicer3-lib folder... is that normal?
>>> >>> Thanks for your time.
>>> >>>
>>> >>> Jordi Campos Carol
>>> >>> UPC-ESAII - CREB
>>> >>> Ed.K2M - Lab-S204a
>>> >>> 93 413 76 19
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>> _______________________________________________
>>> >>> slicer-users mailing list
>>> >>> [hidden email]
>>> >>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >>> To unsubscribe: send email to
>>> >>> [hidden email] with unsubscribe as
>>> the
>>> >>> subject
>>> >>>
>>> >>>
>>> >>>
>>> >>
>>> >>
>>> >> _______________________________________________
>>> >> slicer-users mailing list
>>> >> [hidden email]
>>> >> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >> To unsubscribe: send email to
>>> >> [hidden email] with unsubscribe as the
>>> >> subject
>>> >>
>>> >
>>> >
>>> >
>>> >
>>> > _______________________________________________
>>> > slicer-users mailing list
>>> > [hidden email]
>>> > http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> > To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to  
> [hidden email] with unsubscribe as  
> the subject
>


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject

build.log (569K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

pieper
Administrator
Hi Jordi -

It looks like the issue is related to the particulars of your visual
studio installation not matching what the build script expects:

> running: C:/3DSlicer/Slicer3/../Slicer3-lib/CMake-build/bin/cmake.exe {-GVisual Studio 7} -DCMAKE_BUILD_TYPE:STRING=Debug -DBUILD_SHARED_LIBS:BOOL=ON -DCMAKE_SKIP_RPATH:BOOL=ON {-DCMAKE_CXX_COMPILER:STRING=c:/Program Files/Microsoft Visual Studio .NET/Common7/Vc7/bin/cl} {-DCMAKE_CXX_COMPILER_FULLPATH:FILEPATH=c:/Program Files/Microsoft Visual Studio .NET/Common7/Vc7/bin/cl} {-DCMAKE_C_COMPILER:STRING=c:/Program Files/Microsoft Visual Studio .NET/Common7/Vc7/bin/cl} {-DCMAKE_C_COMPILER_FULLPATH:FILEPATH=c:/Program Files/Microsoft Visual Studio .NET/Common7/Vc7/bin/cl} -DBUILD_TESTING:BOOL=OFF -DVTK_USE_CARBON:BOOL=OFF -DVTK_USE_X:BOOL=ON -DVTK_WRAP_TCL:BOOL=ON -DVTK_USE_HYBRID:BOOL=ON -DVTK_USE_PATENTED:BOOL=ON -DVTK_USE_PARALLEL:BOOL=ON -DVTK_DEBUG_LEAKS:BOOL=ON -DTCL_INCLUDE_PATH:PATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl-build/include -DTK_INCLUDE_PATH:PATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl-build/include -DTCL_LIBRARY:FILEPATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl
-build/lib/tcl84.lib -DTK_LIBRARY:FILEPATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl-build/lib/tk84.lib -DTCL_TCLSH:FILEPATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl-build/bin/tclsh84.exe {} ../VTK
> -- Configuring incomplete, errors occurred!
>
> running: {c:/Program Files/Microsoft Visual Studio .NET/Common7/IDE/devenv.exe} VTK.SLN /out buildlog.txt /build Debug
>
> CMake Error: CMake was unable to find a build program corresponding to "Visual Studio 7".  CMAKE_MAKE_PROGRAM is not set.  You probably need to select a different build tool.
> CMake Error: Could not find cmake module file:C:/3DSlicer/Slicer3-lib/VTK-build/CMakeFiles/CMakeCCompiler.cmake
> CMake Error: Could not find cmake module file:C:/3DSlicer/Slicer3-lib/VTK-build/CMakeFiles/CMakeCXXCompiler.cmake
> couldn't execute "C:\Program Files\Microsoft Visual Studio .NET\Common7\IDE\devenv.exe": no such file or directory

What you can do is look at around line 530 of slicer_variables.tcl and
make sure that the path and version information matches your
configuration (perhaps the drive volume is different or something).

Best,
Steve

On Sep/1/10 5:44 AM, Jordi Campos Carol wrote:

> Sorryyy!!! I forgot to attach the build.log file!
>
> Jordi Campos Carol
> UPC-ESAII
> Ed.K2M - Lab-S204a
> 93 413 76 19
>
> -------------------------------------------
> Hello everyone.
> Steve, I dowloaded the source code freshly again, and retry building...
> but still the
> same! I've created the build.log file with the instruccions you gave me
> (thanks a lot by
> the way).
> It seems that some libraries are missing (as you said the last time...
> the ITK and
> KWWidgets), but I don't know what to do next, 'cause I don't know where
> to find them.
>
> AM Mohan Rao, thanks for the advices of the visual studio. I've the 2010
> version
> installed... does it match? or it has to be the VS9 version only?
> The idea it's to be able to create my own slicer plugging (I'm a PhD
> biomedical
> engineering researcher) so it would be interesting to have a
> "modifiable" slicer program,
> that's why I cannot use the installed version... :( But thanks anyway! :D
>
> I've to tell that I'm using Windows XP... that's what we have on the
> lab... I know Linux
> should be better but... I have no decision power (yet xD)
>
> So anyone figures what is happening? Do I have a cursed computer? :D
> Thanks 4 your time and patience with me!
> Regards,
>
>
>
>
>
>
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

Jordi Campos Carol
Dear Steve,
Thanks for your time.
I've been reading each and every line of the code... and I've  
installed the MVS 9.0... chagned the paths... and STILL not  
compiling... I'm starting to freak out!
Here's the log file with that new configuration.

Jordi Campos Carol
UPC-ESAII - CREB
Ed.K2M - Lab-S204a
93 413 76 19


S'està citant "Steve Pieper" <[hidden email]>:

> Hi Jordi -
>
> It looks like the issue is related to the particulars of your visual  
> studio installation not matching what the build script expects:
>
>> running:  
>> C:/3DSlicer/Slicer3/../Slicer3-lib/CMake-build/bin/cmake.exe  
>> {-GVisual Studio 7} -DCMAKE_BUILD_TYPE:STRING=Debug  
>> -DBUILD_SHARED_LIBS:BOOL=ON -DCMAKE_SKIP_RPATH:BOOL=ON  
>> {-DCMAKE_CXX_COMPILER:STRING=c:/Program Files/Microsoft Visual  
>> Studio .NET/Common7/Vc7/bin/cl}  
>> {-DCMAKE_CXX_COMPILER_FULLPATH:FILEPATH=c:/Program Files/Microsoft  
>> Visual Studio .NET/Common7/Vc7/bin/cl}  
>> {-DCMAKE_C_COMPILER:STRING=c:/Program Files/Microsoft Visual Studio  
>> .NET/Common7/Vc7/bin/cl}  
>> {-DCMAKE_C_COMPILER_FULLPATH:FILEPATH=c:/Program Files/Microsoft  
>> Visual Studio .NET/Common7/Vc7/bin/cl} -DBUILD_TESTING:BOOL=OFF  
>> -DVTK_USE_CARBON:BOOL=OFF -DVTK_USE_X:BOOL=ON  
>> -DVTK_WRAP_TCL:BOOL=ON -DVTK_USE_HYBRID:BOOL=ON  
>> -DVTK_USE_PATENTED:BOOL=ON -DVTK_USE_PARALLEL:BOOL=ON  
>> -DVTK_DEBUG_LEAKS:BOOL=ON  
>> -DTCL_INCLUDE_PATH:PATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl-build/include -DTK_INCLUDE_PATH:PATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl-build/include  
>> -DTCL_LIBRARY:FILEPATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl
> -build/lib/tcl84.lib  
> -DTK_LIBRARY:FILEPATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl-build/lib/tk84.lib -DTCL_TCLSH:FILEPATH=C:/3DSlicer/Slicer3/../Slicer3-lib/tcl-build/bin/tclsh84.exe {}  
> ../VTK
>> -- Configuring incomplete, errors occurred!
>>
>> running: {c:/Program Files/Microsoft Visual Studio  
>> .NET/Common7/IDE/devenv.exe} VTK.SLN /out buildlog.txt /build Debug
>>
>> CMake Error: CMake was unable to find a build program corresponding  
>> to "Visual Studio 7".  CMAKE_MAKE_PROGRAM is not set.  You probably  
>> need to select a different build tool.
>> CMake Error: Could not find cmake module  
>> file:C:/3DSlicer/Slicer3-lib/VTK-build/CMakeFiles/CMakeCCompiler.cmake
>> CMake Error: Could not find cmake module  
>> file:C:/3DSlicer/Slicer3-lib/VTK-build/CMakeFiles/CMakeCXXCompiler.cmake
>> couldn't execute "C:\Program Files\Microsoft Visual Studio  
>> .NET\Common7\IDE\devenv.exe": no such file or directory
>
> What you can do is look at around line 530 of slicer_variables.tcl  
> and make sure that the path and version information matches your  
> configuration (perhaps the drive volume is different or something).
>
> Best,
> Steve
>
> On Sep/1/10 5:44 AM, Jordi Campos Carol wrote:
>> Sorryyy!!! I forgot to attach the build.log file!
>>
>> Jordi Campos Carol
>> UPC-ESAII
>> Ed.K2M - Lab-S204a
>> 93 413 76 19
>>
>> -------------------------------------------
>> Hello everyone.
>> Steve, I dowloaded the source code freshly again, and retry building...
>> but still the
>> same! I've created the build.log file with the instruccions you gave me
>> (thanks a lot by
>> the way).
>> It seems that some libraries are missing (as you said the last time...
>> the ITK and
>> KWWidgets), but I don't know what to do next, 'cause I don't know where
>> to find them.
>>
>> AM Mohan Rao, thanks for the advices of the visual studio. I've the 2010
>> version
>> installed... does it match? or it has to be the VS9 version only?
>> The idea it's to be able to create my own slicer plugging (I'm a PhD
>> biomedical
>> engineering researcher) so it would be interesting to have a
>> "modifiable" slicer program,
>> that's why I cannot use the installed version... :( But thanks anyway! :D
>>
>> I've to tell that I'm using Windows XP... that's what we have on the
>> lab... I know Linux
>> should be better but... I have no decision power (yet xD)
>>
>> So anyone figures what is happening? Do I have a cursed computer? :D
>> Thanks 4 your time and patience with me!
>> Regards,
>>
>>
>>
>>
>>
>>
>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to  
>> [hidden email] with unsubscribe as  
>> the subject
>


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject

build.log (569K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

pieper
Administrator
Hi Jordi -

It looks like for your configuration you'll need to set these variables
in slicer_variables.tcl by hand.  Look for the branches of code like
this and set up one that corresponds to the versions and paths on your
system:

>             set ::GENERATOR "Visual Studio 9 2008"
>             set ::MAKE "c:/Program Files (x86)/Microsoft Visual Studio 9.0/Common7/IDE/devenv.exe"
>             set ::COMPILER_PATH "c:/Program Files (x86)/Microsoft Visual Studio 9.0/VC/bin"
>             set ::MSSDK_PATH "c:/Program Files/Microsoft SDKs/Windows/v6.0A"


You can see from the errors you are getting that cmake and slicer's
build tree can't find the right generator and visual studio paths to build:

On Sep/3/10 6:54 AM, Jordi Campos Carol wrote:
> CMake Error: CMake was unable to find a build program corresponding to "Visual Studio 7".  CMAKE_MAKE_PROGRAM is not set.  You probably need to select a different build tool.
> CMake Error: Could not find cmake modulefile:C:/3DSlicer/Slicer3-lib/VTK-build/CMakeFiles/CMakeCCompiler.cmake
> CMake Error: Could not find cmake modulefile:C:/3DSlicer/Slicer3-lib/VTK-build/CMakeFiles/CMakeCXXCompiler.cmake
> couldn't execute "C:\Program Files\Microsoft Visual Studio 9.0\Common7\IDE\devenv.exe": no such file or directory

You can look at www.cmake.org for more info on the generator types and
other variables.

Good luck!
-Steve
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

madanrao
Hello Jordi,

I think your VS9 is not running because there is no development environment. You need to install MS SDK  before you can
use VS9.

http://microsoft-windows-sdk-for-visual-studio.software.informer.com/6.1/

Hope this helps.

AM Mohan Rao



On Fri, Sep 3, 2010 at 5:09 PM, Steve Pieper <[hidden email]> wrote:
Hi Jordi -

It looks like for your configuration you'll need to set these variables
in slicer_variables.tcl by hand.  Look for the branches of code like
this and set up one that corresponds to the versions and paths on your
system:

>             set ::GENERATOR "Visual Studio 9 2008"
>             set ::MAKE "c:/Program Files (x86)/Microsoft Visual Studio 9.0/Common7/IDE/devenv.exe"
>             set ::COMPILER_PATH "c:/Program Files (x86)/Microsoft Visual Studio 9.0/VC/bin"
>             set ::MSSDK_PATH "c:/Program Files/Microsoft SDKs/Windows/v6.0A"


You can see from the errors you are getting that cmake and slicer's
build tree can't find the right generator and visual studio paths to build:

On Sep/3/10 6:54 AM, Jordi Campos Carol wrote:
> CMake Error: CMake was unable to find a build program corresponding to "Visual Studio 7".  CMAKE_MAKE_PROGRAM is not set.  You probably need to select a different build tool.
> CMake Error: Could not find cmake modulefile:C:/3DSlicer/Slicer3-lib/VTK-build/CMakeFiles/CMakeCCompiler.cmake
> CMake Error: Could not find cmake modulefile:C:/3DSlicer/Slicer3-lib/VTK-build/CMakeFiles/CMakeCXXCompiler.cmake
> couldn't execute "C:\Program Files\Microsoft Visual Studio 9.0\Common7\IDE\devenv.exe": no such file or directory

You can look at www.cmake.org for more info on the generator types and
other variables.

Good luck!
-Steve
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

Jordi Campos Carol
In reply to this post by swallace
Hello everyone.
After cheking the paths at the slicer_variables, I managed to do  
something (now, I've the Slicer3.exe inside the folder...), but, when  
clicked, it returns an error message (the picture attached). As well,  
I attach the build.log (without all the library charging, only the  
testing).
I don't know what else it's left to do...
Some advice is REAAALLY needed. Thanks to all.
Regards,

Jordi Campos Carol
UPC-ESAII - CREB
Ed.K2M - Lab-S204a
93 413 76 19


S'està citant [hidden email]:

> Jordi,
>
> Make sure you are also running cygwin as an administrator. You an do this
> by right clicking on the cygwin icon- this helps resolve some issues when
> trying to build Slicer.
>
> Stuart
>
>
>> Hello Jordi,
>>
>> You need to rerun the build several times before Slicer3 is built
>> successfully using Cygwin.
>>
>> Please make sure you have Visual Studio 9 installed (and older versions
>> in the system like VS6 uninstalled).
>>
>> There are several cygwin related issues on this forum in archives\ slicer
>> web site which you may want to see.
>>
>> To save time could you work on Slicer3 3.6 installed straightaway?
>>
>> Hope this helps
>>
>> AM Mohan Rao
>>
>>
>> On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
>> <[hidden email]>wrote:
>>
>>> Hi Jordi -
>>>
>>> It looks like the errors cropped up earlier in the process (some of the
>>> core libraries failed to build like ITK, KWWidgets).  Please do a fresh
>>> build and create a build log following the instructions here:
>>>
>>>
>>> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest
>>>
>>> Best,
>>> Steve
>>>
>>> On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>>> > Hi everybody.
>>> > I downloaded the source code, cygwin, and everything the tutorioals
>>> > said... and qhen I tried to cbuild Slicer, I had these errors as
>>> feedback.
>>> > I tried to find where the errors where, but I couldn't.
>>> > Any ideas?
>>> > There's a txt file with the console text.
>>> > Thanks
>>> >
>>> > Jordi Campos Carol
>>> > UPC-ESAII
>>> > Ed.K2M - Lab-S204a
>>> > 93 413 76 19
>>> >
>>> >
>>> > S'està citant [hidden email]:
>>> >
>>> >> Just forwarding this dialogue for other users to reference...
>>> >>
>>> >> ---------------------------- Original Message
>>> >> ----------------------------
>>> >> Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
>>> >> From: [hidden email]
>>> >> Date: Wed, August 25, 2010 8:02 am
>>> >> To: "Jordi Campos Carol" <[hidden email]>
>>> >> Cc: [hidden email]
>>> >>
>>> --------------------------------------------------------------------------
>>> >>
>>> >>
>>> >> What Slicer build are you using? The HelloWorld tutorial requires you
>>> to
>>> >> download and build Slicer from source:
>>> >>
>>> >> http://slicer.org/pages/SourceCode
>>> >>
>>> >>> From here, the Slicer3-lib folder is built.
>>> >>
>>> >> Hope that helps, and let us know if you run into any issues.
>>> >>
>>> >> Stuart
>>> >>
>>> >>
>>> >>> Hello everyone.
>>> >>> I'm new at using 3D Slicer. I followed the training "program" on the
>>> >>> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
>>> >>> find the Slicer3-lib folder... is that normal?
>>> >>> Thanks for your time.
>>> >>>
>>> >>> Jordi Campos Carol
>>> >>> UPC-ESAII - CREB
>>> >>> Ed.K2M - Lab-S204a
>>> >>> 93 413 76 19
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>> _______________________________________________
>>> >>> slicer-users mailing list
>>> >>> [hidden email]
>>> >>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >>> To unsubscribe: send email to
>>> >>> [hidden email] with unsubscribe as
>>> the
>>> >>> subject
>>> >>>
>>> >>>
>>> >>>
>>> >>
>>> >>
>>> >> _______________________________________________
>>> >> slicer-users mailing list
>>> >> [hidden email]
>>> >> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >> To unsubscribe: send email to
>>> >> [hidden email] with unsubscribe as the
>>> >> subject
>>> >>
>>> >
>>> >
>>> >
>>> >
>>> > _______________________________________________
>>> > slicer-users mailing list
>>> > [hidden email]
>>> > http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> > To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to  
> [hidden email] with unsubscribe as  
> the subject
>


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject

error.PNG (12K) Download Attachment
build.log (71K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

madanrao
Hello Jordi,

I think the Slicer3.exe is not built correctly. You need to run the build from cygwin without encountering any errors..

Then run the Slicer3.exe from cygwin

AM Mohan Rao

On Wed, Sep 8, 2010 at 7:00 PM, Jordi Campos Carol <[hidden email]> wrote:
Hello everyone.
After cheking the paths at the slicer_variables, I managed to do something (now, I've the Slicer3.exe inside the folder...), but, when clicked, it returns an error message (the picture attached). As well, I attach the build.log (without all the library charging, only the testing).
I don't know what else it's left to do...
Some advice is REAAALLY needed. Thanks to all.
Regards,


Jordi Campos Carol
UPC-ESAII - CREB
Ed.K2M - Lab-S204a
93 413 76 19


S'està citant [hidden email]:

Jordi,

Make sure you are also running cygwin as an administrator. You an do this
by right clicking on the cygwin icon- this helps resolve some issues when
trying to build Slicer.

Stuart


Hello Jordi,

You need to rerun the build several times before Slicer3 is built
successfully using Cygwin.

Please make sure you have Visual Studio 9 installed (and older versions
in the system like VS6 uninstalled).

There are several cygwin related issues on this forum in archives\ slicer
web site which you may want to see.

To save time could you work on Slicer3 3.6 installed straightaway?

Hope this helps

AM Mohan Rao


On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
<[hidden email]>wrote:

Hi Jordi -

It looks like the errors cropped up earlier in the process (some of the
core libraries failed to build like ITK, KWWidgets).  Please do a fresh
build and create a build log following the instructions here:


http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest

Best,
Steve

On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
> Hi everybody.
> I downloaded the source code, cygwin, and everything the tutorioals
> said... and qhen I tried to cbuild Slicer, I had these errors as
feedback.
> I tried to find where the errors where, but I couldn't.
> Any ideas?
> There's a txt file with the console text.
> Thanks
>
> Jordi Campos Carol
> UPC-ESAII
> Ed.K2M - Lab-S204a
> 93 413 76 19
>
>
> S'està citant [hidden email]:
>
>> Just forwarding this dialogue for other users to reference...
>>
>> ---------------------------- Original Message
>> ----------------------------
>> Subject: Re: [slicer-users] Cannot use pluggins on Slicer 3.6.1
>> From: [hidden email]
>> Date: Wed, August 25, 2010 8:02 am
>> To: "Jordi Campos Carol" <[hidden email]>
>> Cc: [hidden email]
>>
--------------------------------------------------------------------------
>>
>>
>> What Slicer build are you using? The HelloWorld tutorial requires you
to
>> download and build Slicer from source:
>>
>> http://slicer.org/pages/SourceCode
>>
>>> From here, the Slicer3-lib folder is built.
>>
>> Hope that helps, and let us know if you run into any issues.
>>
>> Stuart
>>
>>
>>> Hello everyone.
>>> I'm new at using 3D Slicer. I followed the training "program" on the
>>> web but I cannot do the HELLOWORLD pluggin tutorial 'cause I cannot
>>> find the Slicer3-lib folder... is that normal?
>>> Thanks for your time.
>>>
>>> Jordi Campos Carol
>>> UPC-ESAII - CREB
>>> Ed.K2M - Lab-S204a
>>> 93 413 76 19
>>>
>>>
>>>
>>>
>>>
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email] with unsubscribe as
the
>>> subject
>>>
>>>
>>>
>>
>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>>
>
>
>
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to
[hidden email] with unsubscribe as the
subject
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to
[hidden email] with unsubscribe as the
subject

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to
[hidden email] with unsubscribe as the
subject

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject




_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

pieper
Administrator
Hi Jordi -

I agree with Mohan - you can run the Slicer3-build/Slicer3.sln file
directly from visual studio to see what the errors are.

Best,
Steve

On Sep/8/10 11:18 PM, Madan Rao wrote:

> Hello Jordi,
>
> I think the Slicer3.exe is not built correctly. You need to run the
> build from cygwin without encountering any errors..
>
> Then run the Slicer3.exe from cygwin
>
> AM Mohan Rao
>
> On Wed, Sep 8, 2010 at 7:00 PM, Jordi Campos Carol <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     Hello everyone.
>     After cheking the paths at the slicer_variables, I managed to do
>     something (now, I've the Slicer3.exe inside the folder...), but,
>     when clicked, it returns an error message (the picture attached). As
>     well, I attach the build.log (without all the library charging, only
>     the testing).
>     I don't know what else it's left to do...
>     Some advice is REAAALLY needed. Thanks to all.
>     Regards,
>
>
>     Jordi Campos Carol
>     UPC-ESAII - CREB
>     Ed.K2M - Lab-S204a
>     93 413 76 19
>
>
>     S'està citant [hidden email]
>     <mailto:[hidden email]>:
>
>         Jordi,
>
>         Make sure you are also running cygwin as an administrator. You
>         an do this
>         by right clicking on the cygwin icon- this helps resolve some
>         issues when
>         trying to build Slicer.
>
>         Stuart
>
>
>             Hello Jordi,
>
>             You need to rerun the build several times before Slicer3 is
>             built
>             successfully using Cygwin.
>
>             Please make sure you have Visual Studio 9 installed (and
>             older versions
>             in the system like VS6 uninstalled).
>
>             There are several cygwin related issues on this forum in
>             archives\ slicer
>             web site which you may want to see.
>
>             To save time could you work on Slicer3 3.6 installed
>             straightaway?
>
>             Hope this helps
>
>             AM Mohan Rao
>
>
>             On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
>             <[hidden email] <mailto:[hidden email]>>wrote:
>
>                 Hi Jordi -
>
>                 It looks like the errors cropped up earlier in the
>                 process (some of the
>                 core libraries failed to build like ITK, KWWidgets).
>                   Please do a fresh
>                 build and create a build log following the instructions
>                 here:
>
>
>                 http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest
>
>                 Best,
>                 Steve
>
>                 On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>                  > Hi everybody.
>                  > I downloaded the source code, cygwin, and everything
>                 the tutorioals
>                  > said... and qhen I tried to cbuild Slicer, I had
>                 these errors as
>                 feedback.
>                  > I tried to find where the errors where, but I couldn't.
>                  > Any ideas?
>                  > There's a txt file with the console text.
>                  > Thanks
>                  >
>                  > Jordi Campos Carol
>                  > UPC-ESAII
>                  > Ed.K2M - Lab-S204a
>                  > 93 413 76 19
>                  >
>                  >
>                  > S'està citant [hidden email]
>                 <mailto:[hidden email]>:
>                  >
>                  >> Just forwarding this dialogue for other users to
>                 reference...
>                  >>
>                  >> ---------------------------- Original Message
>                  >> ----------------------------
>                  >> Subject: Re: [slicer-users] Cannot use pluggins on
>                 Slicer 3.6.1
>                  >> From: [hidden email]
>                 <mailto:[hidden email]>
>                  >> Date: Wed, August 25, 2010 8:02 am
>                  >> To: "Jordi Campos Carol" <[hidden email]
>                 <mailto:[hidden email]>>
>                  >> Cc: [hidden email]
>                 <mailto:[hidden email]>
>                  >>
>                 --------------------------------------------------------------------------
>                  >>
>                  >>
>                  >> What Slicer build are you using? The HelloWorld
>                 tutorial requires you
>                 to
>                  >> download and build Slicer from source:
>                  >>
>                  >> http://slicer.org/pages/SourceCode
>                  >>
>                  >>> From here, the Slicer3-lib folder is built.
>                  >>
>                  >> Hope that helps, and let us know if you run into any
>                 issues.
>                  >>
>                  >> Stuart
>                  >>
>                  >>
>                  >>> Hello everyone.
>                  >>> I'm new at using 3D Slicer. I followed the training
>                 "program" on the
>                  >>> web but I cannot do the HELLOWORLD pluggin tutorial
>                 'cause I cannot
>                  >>> find the Slicer3-lib folder... is that normal?
>                  >>> Thanks for your time.
>                  >>>
>                  >>> Jordi Campos Carol
>                  >>> UPC-ESAII - CREB
>                  >>> Ed.K2M - Lab-S204a
>                  >>> 93 413 76 19
>                  >>>
>                  >>>
>                  >>>
>                  >>>
>                  >>>
>                  >>> _______________________________________________
>                  >>> slicer-users mailing list
>                  >>> [hidden email]
>                 <mailto:[hidden email]>
>                  >>>
>                 http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>                  >>> To unsubscribe: send email to
>                  >>> [hidden email]
>                 <mailto:[hidden email]>
>                 with unsubscribe as
>                 the
>                  >>> subject
>                  >>>
>                  >>>
>                  >>>
>                  >>
>                  >>
>                  >> _______________________________________________
>                  >> slicer-users mailing list
>                  >> [hidden email]
>                 <mailto:[hidden email]>
>                  >>
>                 http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>                  >> To unsubscribe: send email to
>                  >> [hidden email]
>                 <mailto:[hidden email]>
>                 with unsubscribe as the
>                  >> subject
>                  >>
>                  >
>                  >
>                  >
>                  >
>                  > _______________________________________________
>                  > slicer-users mailing list
>                  > [hidden email]
>                 <mailto:[hidden email]>
>                  >
>                 http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>                  > To unsubscribe: send email to
>                 [hidden email]
>                 <mailto:[hidden email]>
>                 with unsubscribe as the
>                 subject
>                 _______________________________________________
>                 slicer-users mailing list
>                 [hidden email]
>                 <mailto:[hidden email]>
>                 http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>                 To unsubscribe: send email to
>                 [hidden email]
>                 <mailto:[hidden email]>
>                 with unsubscribe as the
>                 subject
>
>             _______________________________________________
>             slicer-users mailing list
>             [hidden email]
>             <mailto:[hidden email]>
>             http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>             To unsubscribe: send email to
>             [hidden email]
>             <mailto:[hidden email]> with
>             unsubscribe as the
>             subject
>
>
>         _______________________________________________
>         slicer-users mailing list
>         [hidden email] <mailto:[hidden email]>
>         http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>         To unsubscribe: send email to
>         [hidden email]
>         <mailto:[hidden email]> with
>         unsubscribe as the subject
>
>
>
>
>     _______________________________________________
>     slicer-users mailing list
>     [hidden email] <mailto:[hidden email]>
>     http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>     To unsubscribe: send email to
>     [hidden email]
>     <mailto:[hidden email]> with
>     unsubscribe as the subject
>
>
>
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

Jordi Campos Carol
Hi everyone.
This morning I just debbug Slicer3.sln with MVS2008. There are two  
errors I can't identify (and solve, obviously..xD), and as well, it  
looks like some libraries are missing (some are from modules, so is  
not that important):

/*Main Errors:
error C2664:
'vtkSlicerModelDisplayWidget::SetModelDisplayNode' : cannot convert  
parameter 1 from 'vtkMRMLDisplayNode *' to 'vtkMRMLModelDisplayNode *'
d:\3DSlicer\Slicer3\Base\GUI\vtkSlicerModelHierarchyWidget.cxx

error C2440:
'initializing':cannot convert from 'vtkMRMLDisplayNode *' to  
'vtkMRMLModelDisplayNode *'
d:\3DSlicer\Slicer3\Base\GUI\vtkSlicerModelHierarchyWidget.cxx


/*Libraries Missing:

'..\..\..\lib\Debug\SlicerBaseGUI.lib' (many errors are based on this one)
'..\..\..\lib\Slicer3\Modules\Debug\ChangeTracker.lib'
'..\..\..\lib\Slicer3\Modules\Debug\ModelTransform.lib'
'..\..\..\lib\Slicer3\Modules\Debug\Measurements.lib'
'..\..\..\lib\Slicer3\Modules\Debug\EMSegment.lib'

Thanks 4 everything... I know I look like an idiot making that big  
bunch of questions... I'm kinda novice here... :P
Regards,

Jordi Campos Carol
UPC-ESAII - CREB
Ed.K2M - Lab-S204a
93 413 76 19


S'està citant "Steve Pieper" <[hidden email]>:

> Hi Jordi -
>
> I agree with Mohan - you can run the Slicer3-build/Slicer3.sln file
> directly from visual studio to see what the errors are.
>
> Best,
> Steve
>
> On Sep/8/10 11:18 PM, Madan Rao wrote:
>> Hello Jordi,
>>
>> I think the Slicer3.exe is not built correctly. You need to run the
>> build from cygwin without encountering any errors..
>>
>> Then run the Slicer3.exe from cygwin
>>
>> AM Mohan Rao
>>
>> On Wed, Sep 8, 2010 at 7:00 PM, Jordi Campos Carol <[hidden email]
>> <mailto:[hidden email]>> wrote:
>>
>>     Hello everyone.
>>     After cheking the paths at the slicer_variables, I managed to do
>>     something (now, I've the Slicer3.exe inside the folder...), but,
>>     when clicked, it returns an error message (the picture attached). As
>>     well, I attach the build.log (without all the library charging, only
>>     the testing).
>>     I don't know what else it's left to do...
>>     Some advice is REAAALLY needed. Thanks to all.
>>     Regards,
>>
>>
>>     Jordi Campos Carol
>>     UPC-ESAII - CREB
>>     Ed.K2M - Lab-S204a
>>     93 413 76 19
>>
>>
>>     S'està citant [hidden email]
>>     <mailto:[hidden email]>:
>>
>>         Jordi,
>>
>>         Make sure you are also running cygwin as an administrator. You
>>         an do this
>>         by right clicking on the cygwin icon- this helps resolve some
>>         issues when
>>         trying to build Slicer.
>>
>>         Stuart
>>
>>
>>             Hello Jordi,
>>
>>             You need to rerun the build several times before Slicer3 is
>>             built
>>             successfully using Cygwin.
>>
>>             Please make sure you have Visual Studio 9 installed (and
>>             older versions
>>             in the system like VS6 uninstalled).
>>
>>             There are several cygwin related issues on this forum in
>>             archives\ slicer
>>             web site which you may want to see.
>>
>>             To save time could you work on Slicer3 3.6 installed
>>             straightaway?
>>
>>             Hope this helps
>>
>>             AM Mohan Rao
>>
>>
>>             On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
>>             <[hidden email] <mailto:[hidden email]>>wrote:
>>
>>                 Hi Jordi -
>>
>>                 It looks like the errors cropped up earlier in the
>>                 process (some of the
>>                 core libraries failed to build like ITK, KWWidgets).
>>                   Please do a fresh
>>                 build and create a build log following the instructions
>>                 here:
>>
>>
>>                  
>> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest
>>
>>                 Best,
>>                 Steve
>>
>>                 On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>>                  > Hi everybody.
>>                  > I downloaded the source code, cygwin, and everything
>>                 the tutorioals
>>                  > said... and qhen I tried to cbuild Slicer, I had
>>                 these errors as
>>                 feedback.
>>                  > I tried to find where the errors where, but I couldn't.
>>                  > Any ideas?
>>                  > There's a txt file with the console text.
>>                  > Thanks
>>                  >
>>                  > Jordi Campos Carol
>>                  > UPC-ESAII
>>                  > Ed.K2M - Lab-S204a
>>                  > 93 413 76 19
>>                  >
>>                  >
>>                  > S'està citant [hidden email]
>>                 <mailto:[hidden email]>:
>>                  >
>>                  >> Just forwarding this dialogue for other users to
>>                 reference...
>>                  >>
>>                  >> ---------------------------- Original Message
>>                  >> ----------------------------
>>                  >> Subject: Re: [slicer-users] Cannot use pluggins on
>>                 Slicer 3.6.1
>>                  >> From: [hidden email]
>>                 <mailto:[hidden email]>
>>                  >> Date: Wed, August 25, 2010 8:02 am
>>                  >> To: "Jordi Campos Carol" <[hidden email]
>>                 <mailto:[hidden email]>>
>>                  >> Cc: [hidden email]
>>                 <mailto:[hidden email]>
>>                  >>
>>                  
>> --------------------------------------------------------------------------
>>                  >>
>>                  >>
>>                  >> What Slicer build are you using? The HelloWorld
>>                 tutorial requires you
>>                 to
>>                  >> download and build Slicer from source:
>>                  >>
>>                  >> http://slicer.org/pages/SourceCode
>>                  >>
>>                  >>> From here, the Slicer3-lib folder is built.
>>                  >>
>>                  >> Hope that helps, and let us know if you run into any
>>                 issues.
>>                  >>
>>                  >> Stuart
>>                  >>
>>                  >>
>>                  >>> Hello everyone.
>>                  >>> I'm new at using 3D Slicer. I followed the training
>>                 "program" on the
>>                  >>> web but I cannot do the HELLOWORLD pluggin tutorial
>>                 'cause I cannot
>>                  >>> find the Slicer3-lib folder... is that normal?
>>                  >>> Thanks for your time.
>>                  >>>
>>                  >>> Jordi Campos Carol
>>                  >>> UPC-ESAII - CREB
>>                  >>> Ed.K2M - Lab-S204a
>>                  >>> 93 413 76 19
>>                  >>>
>>                  >>>
>>                  >>>
>>                  >>>
>>                  >>>
>>                  >>> _______________________________________________
>>                  >>> slicer-users mailing list
>>                  >>> [hidden email]
>>                 <mailto:[hidden email]>
>>                  >>>
>>                  
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>                  >>> To unsubscribe: send email to
>>                  >>> [hidden email]
>>                 <mailto:[hidden email]>
>>                 with unsubscribe as
>>                 the
>>                  >>> subject
>>                  >>>
>>                  >>>
>>                  >>>
>>                  >>
>>                  >>
>>                  >> _______________________________________________
>>                  >> slicer-users mailing list
>>                  >> [hidden email]
>>                 <mailto:[hidden email]>
>>                  >>
>>                  
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>                  >> To unsubscribe: send email to
>>                  >> [hidden email]
>>                 <mailto:[hidden email]>
>>                 with unsubscribe as the
>>                  >> subject
>>                  >>
>>                  >
>>                  >
>>                  >
>>                  >
>>                  > _______________________________________________
>>                  > slicer-users mailing list
>>                  > [hidden email]
>>                 <mailto:[hidden email]>
>>                  >
>>                  
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>                  > To unsubscribe: send email to
>>                 [hidden email]
>>                 <mailto:[hidden email]>
>>                 with unsubscribe as the
>>                 subject
>>                 _______________________________________________
>>                 slicer-users mailing list
>>                 [hidden email]
>>                 <mailto:[hidden email]>
>>                  
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>                 To unsubscribe: send email to
>>                 [hidden email]
>>                 <mailto:[hidden email]>
>>                 with unsubscribe as the
>>                 subject
>>
>>             _______________________________________________
>>             slicer-users mailing list
>>             [hidden email]
>>             <mailto:[hidden email]>
>>             http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>             To unsubscribe: send email to
>>             [hidden email]
>>             <mailto:[hidden email]> with
>>             unsubscribe as the
>>             subject
>>
>>
>>         _______________________________________________
>>         slicer-users mailing list
>>         [hidden email] <mailto:[hidden email]>
>>         http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>         To unsubscribe: send email to
>>         [hidden email]
>>         <mailto:[hidden email]> with
>>         unsubscribe as the subject
>>
>>
>>
>>
>>     _______________________________________________
>>     slicer-users mailing list
>>     [hidden email] <mailto:[hidden email]>
>>     http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>     To unsubscribe: send email to
>>     [hidden email]
>>     <mailto:[hidden email]> with
>>     unsubscribe as the subject
>>
>>
>>
>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to  
>> [hidden email] with unsubscribe as  
>> the subject
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to  
> [hidden email] with unsubscribe as  
> the subject
>


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

Jordi Campos Carol
In reply to this post by pieper
Sorry, the debugging log from MVS2008 was missing in the previous  
message (if it's necessary).
Here it is.

Jordi Campos Carol
UPC-ESAII
Ed.K2M - Lab 203
93 413 40 54


S'està citant "Steve Pieper" <[hidden email]>:

> Hi Jordi -
>
> I agree with Mohan - you can run the Slicer3-build/Slicer3.sln file
> directly from visual studio to see what the errors are.
>
> Best,
> Steve
>
> On Sep/8/10 11:18 PM, Madan Rao wrote:
>> Hello Jordi,
>>
>> I think the Slicer3.exe is not built correctly. You need to run the
>> build from cygwin without encountering any errors..
>>
>> Then run the Slicer3.exe from cygwin
>>
>> AM Mohan Rao
>>
>> On Wed, Sep 8, 2010 at 7:00 PM, Jordi Campos Carol <[hidden email]
>> <mailto:[hidden email]>> wrote:
>>
>>     Hello everyone.
>>     After cheking the paths at the slicer_variables, I managed to do
>>     something (now, I've the Slicer3.exe inside the folder...), but,
>>     when clicked, it returns an error message (the picture attached). As
>>     well, I attach the build.log (without all the library charging, only
>>     the testing).
>>     I don't know what else it's left to do...
>>     Some advice is REAAALLY needed. Thanks to all.
>>     Regards,
>>
>>
>>     Jordi Campos Carol
>>     UPC-ESAII - CREB
>>     Ed.K2M - Lab-S204a
>>     93 413 76 19
>>
>>
>>     S'està citant [hidden email]
>>     <mailto:[hidden email]>:
>>
>>         Jordi,
>>
>>         Make sure you are also running cygwin as an administrator. You
>>         an do this
>>         by right clicking on the cygwin icon- this helps resolve some
>>         issues when
>>         trying to build Slicer.
>>
>>         Stuart
>>
>>
>>             Hello Jordi,
>>
>>             You need to rerun the build several times before Slicer3 is
>>             built
>>             successfully using Cygwin.
>>
>>             Please make sure you have Visual Studio 9 installed (and
>>             older versions
>>             in the system like VS6 uninstalled).
>>
>>             There are several cygwin related issues on this forum in
>>             archives\ slicer
>>             web site which you may want to see.
>>
>>             To save time could you work on Slicer3 3.6 installed
>>             straightaway?
>>
>>             Hope this helps
>>
>>             AM Mohan Rao
>>
>>
>>             On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
>>             <[hidden email] <mailto:[hidden email]>>wrote:
>>
>>                 Hi Jordi -
>>
>>                 It looks like the errors cropped up earlier in the
>>                 process (some of the
>>                 core libraries failed to build like ITK, KWWidgets).
>>                   Please do a fresh
>>                 build and create a build log following the instructions
>>                 here:
>>
>>
>>                  
>> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest
>>
>>                 Best,
>>                 Steve
>>
>>                 On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>>                  > Hi everybody.
>>                  > I downloaded the source code, cygwin, and everything
>>                 the tutorioals
>>                  > said... and qhen I tried to cbuild Slicer, I had
>>                 these errors as
>>                 feedback.
>>                  > I tried to find where the errors where, but I couldn't.
>>                  > Any ideas?
>>                  > There's a txt file with the console text.
>>                  > Thanks
>>                  >
>>                  > Jordi Campos Carol
>>                  > UPC-ESAII
>>                  > Ed.K2M - Lab-S204a
>>                  > 93 413 76 19
>>                  >
>>                  >
>>                  > S'està citant [hidden email]
>>                 <mailto:[hidden email]>:
>>                  >
>>                  >> Just forwarding this dialogue for other users to
>>                 reference...
>>                  >>
>>                  >> ---------------------------- Original Message
>>                  >> ----------------------------
>>                  >> Subject: Re: [slicer-users] Cannot use pluggins on
>>                 Slicer 3.6.1
>>                  >> From: [hidden email]
>>                 <mailto:[hidden email]>
>>                  >> Date: Wed, August 25, 2010 8:02 am
>>                  >> To: "Jordi Campos Carol" <[hidden email]
>>                 <mailto:[hidden email]>>
>>                  >> Cc: [hidden email]
>>                 <mailto:[hidden email]>
>>                  >>
>>                  
>> --------------------------------------------------------------------------
>>                  >>
>>                  >>
>>                  >> What Slicer build are you using? The HelloWorld
>>                 tutorial requires you
>>                 to
>>                  >> download and build Slicer from source:
>>                  >>
>>                  >> http://slicer.org/pages/SourceCode
>>                  >>
>>                  >>> From here, the Slicer3-lib folder is built.
>>                  >>
>>                  >> Hope that helps, and let us know if you run into any
>>                 issues.
>>                  >>
>>                  >> Stuart
>>                  >>
>>                  >>
>>                  >>> Hello everyone.
>>                  >>> I'm new at using 3D Slicer. I followed the training
>>                 "program" on the
>>                  >>> web but I cannot do the HELLOWORLD pluggin tutorial
>>                 'cause I cannot
>>                  >>> find the Slicer3-lib folder... is that normal?
>>                  >>> Thanks for your time.
>>                  >>>
>>                  >>> Jordi Campos Carol
>>                  >>> UPC-ESAII - CREB
>>                  >>> Ed.K2M - Lab-S204a
>>                  >>> 93 413 76 19
>>                  >>>
>>                  >>>
>>                  >>>
>>                  >>>
>>                  >>>
>>                  >>> _______________________________________________
>>                  >>> slicer-users mailing list
>>                  >>> [hidden email]
>>                 <mailto:[hidden email]>
>>                  >>>
>>                  
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>                  >>> To unsubscribe: send email to
>>                  >>> [hidden email]
>>                 <mailto:[hidden email]>
>>                 with unsubscribe as
>>                 the
>>                  >>> subject
>>                  >>>
>>                  >>>
>>                  >>>
>>                  >>
>>                  >>
>>                  >> _______________________________________________
>>                  >> slicer-users mailing list
>>                  >> [hidden email]
>>                 <mailto:[hidden email]>
>>                  >>
>>                  
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>                  >> To unsubscribe: send email to
>>                  >> [hidden email]
>>                 <mailto:[hidden email]>
>>                 with unsubscribe as the
>>                  >> subject
>>                  >>
>>                  >
>>                  >
>>                  >
>>                  >
>>                  > _______________________________________________
>>                  > slicer-users mailing list
>>                  > [hidden email]
>>                 <mailto:[hidden email]>
>>                  >
>>                  
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>                  > To unsubscribe: send email to
>>                 [hidden email]
>>                 <mailto:[hidden email]>
>>                 with unsubscribe as the
>>                 subject
>>                 _______________________________________________
>>                 slicer-users mailing list
>>                 [hidden email]
>>                 <mailto:[hidden email]>
>>                  
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>                 To unsubscribe: send email to
>>                 [hidden email]
>>                 <mailto:[hidden email]>
>>                 with unsubscribe as the
>>                 subject
>>
>>             _______________________________________________
>>             slicer-users mailing list
>>             [hidden email]
>>             <mailto:[hidden email]>
>>             http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>             To unsubscribe: send email to
>>             [hidden email]
>>             <mailto:[hidden email]> with
>>             unsubscribe as the
>>             subject
>>
>>
>>         _______________________________________________
>>         slicer-users mailing list
>>         [hidden email] <mailto:[hidden email]>
>>         http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>         To unsubscribe: send email to
>>         [hidden email]
>>         <mailto:[hidden email]> with
>>         unsubscribe as the subject
>>
>>
>>
>>
>>     _______________________________________________
>>     slicer-users mailing list
>>     [hidden email] <mailto:[hidden email]>
>>     http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>     To unsubscribe: send email to
>>     [hidden email]
>>     <mailto:[hidden email]> with
>>     unsubscribe as the subject
>>
>>
>>
>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to  
>> [hidden email] with unsubscribe as  
>> the subject
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to  
> [hidden email] with unsubscribe as  
> the subject
>


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject

Slicer3_debug_MVS2008 (401K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

madanrao
Hello Jordi,

You have some link errors. These are usually taken care by the cmake.
You need to re-run the build from cygwin to make things easier (even if you have to delete the build and restart).

AM Mohan Rao





On Fri, Sep 10, 2010 at 1:23 PM, Jordi Campos Carol <[hidden email]> wrote:
Sorry, the debugging log from MVS2008 was missing in the previous message (if it's necessary).
Here it is.


Jordi Campos Carol
UPC-ESAII
Ed.K2M - Lab 203
93 413 40 54


S'està citant "Steve Pieper" <[hidden email]>:


Hi Jordi -

I agree with Mohan - you can run the Slicer3-build/Slicer3.sln file
directly from visual studio to see what the errors are.

Best,
Steve

On Sep/8/10 11:18 PM, Madan Rao wrote:
Hello Jordi,

I think the Slicer3.exe is not built correctly. You need to run the
build from cygwin without encountering any errors..

Then run the Slicer3.exe from cygwin

AM Mohan Rao

On Wed, Sep 8, 2010 at 7:00 PM, Jordi Campos Carol <[hidden email]
<mailto:[hidden email]>> wrote:

   Hello everyone.
   After cheking the paths at the slicer_variables, I managed to do
   something (now, I've the Slicer3.exe inside the folder...), but,
   when clicked, it returns an error message (the picture attached). As
   well, I attach the build.log (without all the library charging, only
   the testing).
   I don't know what else it's left to do...
   Some advice is REAAALLY needed. Thanks to all.
   Regards,


   Jordi Campos Carol
   UPC-ESAII - CREB
   Ed.K2M - Lab-S204a
   93 413 76 19


   S'està citant [hidden email]
   <mailto:[hidden email]>:

       Jordi,

       Make sure you are also running cygwin as an administrator. You
       an do this
       by right clicking on the cygwin icon- this helps resolve some
       issues when
       trying to build Slicer.

       Stuart


           Hello Jordi,

           You need to rerun the build several times before Slicer3 is
           built
           successfully using Cygwin.

           Please make sure you have Visual Studio 9 installed (and
           older versions
           in the system like VS6 uninstalled).

           There are several cygwin related issues on this forum in
           archives\ slicer
           web site which you may want to see.

           To save time could you work on Slicer3 3.6 installed
           straightaway?

           Hope this helps

           AM Mohan Rao


           On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
           <[hidden email] <mailto:[hidden email]>>wrote:

               Hi Jordi -

               It looks like the errors cropped up earlier in the
               process (some of the
               core libraries failed to build like ITK, KWWidgets).
                 Please do a fresh
               build and create a build log following the instructions
               here:


               http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest

               Best,
               Steve

               On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
                > Hi everybody.
                > I downloaded the source code, cygwin, and everything
               the tutorioals
                > said... and qhen I tried to cbuild Slicer, I had
               these errors as
               feedback.
                > I tried to find where the errors where, but I couldn't.
                > Any ideas?
                > There's a txt file with the console text.
                > Thanks
                >
                > Jordi Campos Carol
                > UPC-ESAII
                > Ed.K2M - Lab-S204a
                > 93 413 76 19
                >
                >
                > S'està citant [hidden email]
               <mailto:[hidden email]>:
                >
                >> Just forwarding this dialogue for other users to
               reference...
                >>
                >> ---------------------------- Original Message
                >> ----------------------------
                >> Subject: Re: [slicer-users] Cannot use pluggins on
               Slicer 3.6.1
                >> From: [hidden email]
               <mailto:[hidden email]>
                >> Date: Wed, August 25, 2010 8:02 am
                >> To: "Jordi Campos Carol" <[hidden email]
               <mailto:[hidden email]>>
                >> Cc: [hidden email]
               <mailto:[hidden email]>
                >>
               --------------------------------------------------------------------------
                >>
                >>
                >> What Slicer build are you using? The HelloWorld
               tutorial requires you
               to
                >> download and build Slicer from source:
                >>
                >> http://slicer.org/pages/SourceCode
                >>
                >>> From here, the Slicer3-lib folder is built.
                >>
                >> Hope that helps, and let us know if you run into any
               issues.
                >>
                >> Stuart
                >>
                >>
                >>> Hello everyone.
                >>> I'm new at using 3D Slicer. I followed the training
               "program" on the
                >>> web but I cannot do the HELLOWORLD pluggin tutorial
               'cause I cannot
                >>> find the Slicer3-lib folder... is that normal?
                >>> Thanks for your time.
                >>>
                >>> Jordi Campos Carol
                >>> UPC-ESAII - CREB
                >>> Ed.K2M - Lab-S204a
                >>> 93 413 76 19
                >>>
                >>>
                >>>
                >>>
                >>>
                >>> _______________________________________________
                >>> slicer-users mailing list
                >>> [hidden email]
               <mailto:[hidden email]>
                >>>
               http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
                >>> To unsubscribe: send email to
                >>> [hidden email]
               <mailto:[hidden email]>
               with unsubscribe as
               the
                >>> subject
                >>>
                >>>
                >>>
                >>
                >>
                >> _______________________________________________
                >> slicer-users mailing list
                >> [hidden email]
               <mailto:[hidden email]>
                >>
               http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
                >> To unsubscribe: send email to
                >> [hidden email]
               <mailto:[hidden email]>
               with unsubscribe as the
                >> subject
                >>
                >
                >
                >
                >
                > _______________________________________________
                > slicer-users mailing list
                > [hidden email]
               <mailto:[hidden email]>
                >
               http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
                > To unsubscribe: send email to
               [hidden email]
               <mailto:[hidden email]>
               with unsubscribe as the
               subject
               _______________________________________________
               slicer-users mailing list
               [hidden email]
               <mailto:[hidden email]>
               http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
               To unsubscribe: send email to
               [hidden email]
               <mailto:[hidden email]>
               with unsubscribe as the
               subject

           _______________________________________________
           slicer-users mailing list
           [hidden email]
           <mailto:[hidden email]>
           http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
           To unsubscribe: send email to
           [hidden email]
           <mailto:[hidden email]> with
           unsubscribe as the
           subject


       _______________________________________________
       slicer-users mailing list
       [hidden email] <mailto:[hidden email]>
       http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
       To unsubscribe: send email to
       [hidden email]
       <mailto:[hidden email]> with
       unsubscribe as the subject




   _______________________________________________
   slicer-users mailing list
   [hidden email] <mailto:[hidden email]>
   http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
   To unsubscribe: send email to
   [hidden email]
   <mailto:[hidden email]> with
   unsubscribe as the subject




_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject




_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

pieper
Administrator
In reply to this post by Jordi Campos Carol
Hi Jordi -

You're right - things are very close and these two build errors are all
that's keeping you from getting things running (congratulations on your
persistence!).

I think what you are running into now is a genuine issue with the
current development trunk - specifically the model hierarchy code is
being re-vamped right now and may have some kinks in the inheritance for
some of the method signatures.

> 40>Microsoft (R) Windows (R) Resource Compiler Version 6.0.5724.0
> 40>Copyright (C) Microsoft Corporation.  All rights reserved.
> 39>..\..\..\Slicer3\Base\GUI\vtkSlicerModelHierarchyWidget.cxx(308) : error C2664: 'vtkSlicerModelDisplayWidget::SetModelDisplayNode' : cannot convert parameter 1 from 'vtkMRMLDisplayNode *' to 'vtkMRMLModelDisplayNode *'
> 39>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
> 39>..\..\..\Slicer3\Base\GUI\vtkSlicerModelHierarchyWidget.cxx(752) : error C2440: 'initializing' : cannot convert from 'vtkMRMLDisplayNode *' to 'vtkMRMLModelDisplayNode *'
> 39>        Cast from base to derived requires dynamic_cast or static_cast

Probably you want to build from the slicer-3-6 stable branch to get a
stable reference point, and then try the trunk if needed (the trunk is
in major overhaul right now with the slicer4 port underway).

Best,
Steve


On Sep/10/10 3:53 AM, Jordi Campos Carol wrote:

> Sorry, the debugging log from MVS2008 was missing in the previous
> message (if it's necessary).
> Here it is.
>
> Jordi Campos Carol
> UPC-ESAII
> Ed.K2M - Lab 203
> 93 413 40 54
>
>
> S'està citant "Steve Pieper" <[hidden email]>:
>
>> Hi Jordi -
>>
>> I agree with Mohan - you can run the Slicer3-build/Slicer3.sln file
>> directly from visual studio to see what the errors are.
>>
>> Best,
>> Steve
>>
>> On Sep/8/10 11:18 PM, Madan Rao wrote:
>>> Hello Jordi,
>>>
>>> I think the Slicer3.exe is not built correctly. You need to run the
>>> build from cygwin without encountering any errors..
>>>
>>> Then run the Slicer3.exe from cygwin
>>>
>>> AM Mohan Rao
>>>
>>> On Wed, Sep 8, 2010 at 7:00 PM, Jordi Campos Carol <[hidden email]
>>> <mailto:[hidden email]>> wrote:
>>>
>>> Hello everyone.
>>> After cheking the paths at the slicer_variables, I managed to do
>>> something (now, I've the Slicer3.exe inside the folder...), but,
>>> when clicked, it returns an error message (the picture attached). As
>>> well, I attach the build.log (without all the library charging, only
>>> the testing).
>>> I don't know what else it's left to do...
>>> Some advice is REAAALLY needed. Thanks to all.
>>> Regards,
>>>
>>>
>>> Jordi Campos Carol
>>> UPC-ESAII - CREB
>>> Ed.K2M - Lab-S204a
>>> 93 413 76 19
>>>
>>>
>>> S'està citant [hidden email]
>>> <mailto:[hidden email]>:
>>>
>>> Jordi,
>>>
>>> Make sure you are also running cygwin as an administrator. You
>>> an do this
>>> by right clicking on the cygwin icon- this helps resolve some
>>> issues when
>>> trying to build Slicer.
>>>
>>> Stuart
>>>
>>>
>>> Hello Jordi,
>>>
>>> You need to rerun the build several times before Slicer3 is
>>> built
>>> successfully using Cygwin.
>>>
>>> Please make sure you have Visual Studio 9 installed (and
>>> older versions
>>> in the system like VS6 uninstalled).
>>>
>>> There are several cygwin related issues on this forum in
>>> archives\ slicer
>>> web site which you may want to see.
>>>
>>> To save time could you work on Slicer3 3.6 installed
>>> straightaway?
>>>
>>> Hope this helps
>>>
>>> AM Mohan Rao
>>>
>>>
>>> On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
>>> <[hidden email] <mailto:[hidden email]>>wrote:
>>>
>>> Hi Jordi -
>>>
>>> It looks like the errors cropped up earlier in the
>>> process (some of the
>>> core libraries failed to build like ITK, KWWidgets).
>>> Please do a fresh
>>> build and create a build log following the instructions
>>> here:
>>>
>>>
>>> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest
>>>
>>>
>>> Best,
>>> Steve
>>>
>>> On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>>> > Hi everybody.
>>> > I downloaded the source code, cygwin, and everything
>>> the tutorioals
>>> > said... and qhen I tried to cbuild Slicer, I had
>>> these errors as
>>> feedback.
>>> > I tried to find where the errors where, but I couldn't.
>>> > Any ideas?
>>> > There's a txt file with the console text.
>>> > Thanks
>>> >
>>> > Jordi Campos Carol
>>> > UPC-ESAII
>>> > Ed.K2M - Lab-S204a
>>> > 93 413 76 19
>>> >
>>> >
>>> > S'està citant [hidden email]
>>> <mailto:[hidden email]>:
>>> >
>>> >> Just forwarding this dialogue for other users to
>>> reference...
>>> >>
>>> >> ---------------------------- Original Message
>>> >> ----------------------------
>>> >> Subject: Re: [slicer-users] Cannot use pluggins on
>>> Slicer 3.6.1
>>> >> From: [hidden email]
>>> <mailto:[hidden email]>
>>> >> Date: Wed, August 25, 2010 8:02 am
>>> >> To: "Jordi Campos Carol" <[hidden email]
>>> <mailto:[hidden email]>>
>>> >> Cc: [hidden email]
>>> <mailto:[hidden email]>
>>> >>
>>> --------------------------------------------------------------------------
>>>
>>> >>
>>> >>
>>> >> What Slicer build are you using? The HelloWorld
>>> tutorial requires you
>>> to
>>> >> download and build Slicer from source:
>>> >>
>>> >> http://slicer.org/pages/SourceCode
>>> >>
>>> >>> From here, the Slicer3-lib folder is built.
>>> >>
>>> >> Hope that helps, and let us know if you run into any
>>> issues.
>>> >>
>>> >> Stuart
>>> >>
>>> >>
>>> >>> Hello everyone.
>>> >>> I'm new at using 3D Slicer. I followed the training
>>> "program" on the
>>> >>> web but I cannot do the HELLOWORLD pluggin tutorial
>>> 'cause I cannot
>>> >>> find the Slicer3-lib folder... is that normal?
>>> >>> Thanks for your time.
>>> >>>
>>> >>> Jordi Campos Carol
>>> >>> UPC-ESAII - CREB
>>> >>> Ed.K2M - Lab-S204a
>>> >>> 93 413 76 19
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>> _______________________________________________
>>> >>> slicer-users mailing list
>>> >>> [hidden email]
>>> <mailto:[hidden email]>
>>> >>>
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >>> To unsubscribe: send email to
>>> >>> [hidden email]
>>> <mailto:[hidden email]>
>>> with unsubscribe as
>>> the
>>> >>> subject
>>> >>>
>>> >>>
>>> >>>
>>> >>
>>> >>
>>> >> _______________________________________________
>>> >> slicer-users mailing list
>>> >> [hidden email]
>>> <mailto:[hidden email]>
>>> >>
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> >> To unsubscribe: send email to
>>> >> [hidden email]
>>> <mailto:[hidden email]>
>>> with unsubscribe as the
>>> >> subject
>>> >>
>>> >
>>> >
>>> >
>>> >
>>> > _______________________________________________
>>> > slicer-users mailing list
>>> > [hidden email]
>>> <mailto:[hidden email]>
>>> >
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> > To unsubscribe: send email to
>>> [hidden email]
>>> <mailto:[hidden email]>
>>> with unsubscribe as the
>>> subject
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> <mailto:[hidden email]>
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email]
>>> <mailto:[hidden email]>
>>> with unsubscribe as the
>>> subject
>>>
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> <mailto:[hidden email]>
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email]
>>> <mailto:[hidden email]> with
>>> unsubscribe as the
>>> subject
>>>
>>>
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email] <mailto:[hidden email]>
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email]
>>> <mailto:[hidden email]> with
>>> unsubscribe as the subject
>>>
>>>
>>>
>>>
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email] <mailto:[hidden email]>
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email]
>>> <mailto:[hidden email]> with
>>> unsubscribe as the subject
>>>
>>>
>>>
>>>
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>>
>
>
>
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: Cannot use pluggins on Slicer 3.6.1

Aucoin, Nicole
Hi Jordi,

I had included a change in that file when I changed the hierarchy nodes,
can you check to see if in your copy of the file
Base/GUI/vtkSlicerModelHierarchyWidget.cxx, line 308 uses
GetModelDisplayNode like this:
this->ModelDisplayWidget->SetModelDisplayNode(hmodel->GetModelDisplayNode());
and if line 752 says:
vtkMRMLDisplayNode *dnode = parentNode->GetDisplayNode();

This is the diff showing the change that I made:
http://viewvc.slicer.org/viewcvs.cgi/trunk/Base/GUI/vtkSlicerModelHierarchyWidget.cxx?rev=14907&r1=14157&r2=14907

You may need to call "svn up" in Base/GUI if you only have the changes I
made in Libs/MRML, though it would be safest to call it from the top
Slicer3 directory. Here are all the files involved in this update:
http://viewvc.slicer.org/viewcvs.cgi?rev=14907&view=rev

Nicole

Steve Pieper wrote:

> Hi Jordi -
>
> You're right - things are very close and these two build errors are
> all that's keeping you from getting things running (congratulations on
> your persistence!).
>
> I think what you are running into now is a genuine issue with the
> current development trunk - specifically the model hierarchy code is
> being re-vamped right now and may have some kinks in the inheritance
> for some of the method signatures.
>
>> 40>Microsoft (R) Windows (R) Resource Compiler Version 6.0.5724.0
>> 40>Copyright (C) Microsoft Corporation.  All rights reserved.
>> 39>..\..\..\Slicer3\Base\GUI\vtkSlicerModelHierarchyWidget.cxx(308) :
>> error C2664: 'vtkSlicerModelDisplayWidget::SetModelDisplayNode' :
>> cannot convert parameter 1 from 'vtkMRMLDisplayNode *' to
>> 'vtkMRMLModelDisplayNode *'
>> 39>        Types pointed to are unrelated; conversion requires
>> reinterpret_cast, C-style cast or function-style cast
>> 39>..\..\..\Slicer3\Base\GUI\vtkSlicerModelHierarchyWidget.cxx(752) :
>> error C2440: 'initializing' : cannot convert from 'vtkMRMLDisplayNode
>> *' to 'vtkMRMLModelDisplayNode *'
>> 39>        Cast from base to derived requires dynamic_cast or
>> static_cast
>
> Probably you want to build from the slicer-3-6 stable branch to get a
> stable reference point, and then try the trunk if needed (the trunk is
> in major overhaul right now with the slicer4 port underway).
>
> Best,
> Steve
>
>
> On Sep/10/10 3:53 AM, Jordi Campos Carol wrote:
>> Sorry, the debugging log from MVS2008 was missing in the previous
>> message (if it's necessary).
>> Here it is.
>>
>> Jordi Campos Carol
>> UPC-ESAII
>> Ed.K2M - Lab 203
>> 93 413 40 54
>>
>>
>> S'està citant "Steve Pieper" <[hidden email]>:
>>
>>> Hi Jordi -
>>>
>>> I agree with Mohan - you can run the Slicer3-build/Slicer3.sln file
>>> directly from visual studio to see what the errors are.
>>>
>>> Best,
>>> Steve
>>>
>>> On Sep/8/10 11:18 PM, Madan Rao wrote:
>>>> Hello Jordi,
>>>>
>>>> I think the Slicer3.exe is not built correctly. You need to run the
>>>> build from cygwin without encountering any errors..
>>>>
>>>> Then run the Slicer3.exe from cygwin
>>>>
>>>> AM Mohan Rao
>>>>
>>>> On Wed, Sep 8, 2010 at 7:00 PM, Jordi Campos Carol
>>>> <[hidden email]
>>>> <mailto:[hidden email]>> wrote:
>>>>
>>>> Hello everyone.
>>>> After cheking the paths at the slicer_variables, I managed to do
>>>> something (now, I've the Slicer3.exe inside the folder...), but,
>>>> when clicked, it returns an error message (the picture attached). As
>>>> well, I attach the build.log (without all the library charging, only
>>>> the testing).
>>>> I don't know what else it's left to do...
>>>> Some advice is REAAALLY needed. Thanks to all.
>>>> Regards,
>>>>
>>>>
>>>> Jordi Campos Carol
>>>> UPC-ESAII - CREB
>>>> Ed.K2M - Lab-S204a
>>>> 93 413 76 19
>>>>
>>>>
>>>> S'està citant [hidden email]
>>>> <mailto:[hidden email]>:
>>>>
>>>> Jordi,
>>>>
>>>> Make sure you are also running cygwin as an administrator. You
>>>> an do this
>>>> by right clicking on the cygwin icon- this helps resolve some
>>>> issues when
>>>> trying to build Slicer.
>>>>
>>>> Stuart
>>>>
>>>>
>>>> Hello Jordi,
>>>>
>>>> You need to rerun the build several times before Slicer3 is
>>>> built
>>>> successfully using Cygwin.
>>>>
>>>> Please make sure you have Visual Studio 9 installed (and
>>>> older versions
>>>> in the system like VS6 uninstalled).
>>>>
>>>> There are several cygwin related issues on this forum in
>>>> archives\ slicer
>>>> web site which you may want to see.
>>>>
>>>> To save time could you work on Slicer3 3.6 installed
>>>> straightaway?
>>>>
>>>> Hope this helps
>>>>
>>>> AM Mohan Rao
>>>>
>>>>
>>>> On Mon, Aug 30, 2010 at 5:09 PM, Steve Pieper
>>>> <[hidden email] <mailto:[hidden email]>>wrote:
>>>>
>>>> Hi Jordi -
>>>>
>>>> It looks like the errors cropped up earlier in the
>>>> process (some of the
>>>> core libraries failed to build like ITK, KWWidgets).
>>>> Please do a fresh
>>>> build and create a build log following the instructions
>>>> here:
>>>>
>>>>
>>>> http://www.slicer.org/slicerWiki/index.php/Slicer3:Build_Instructions#Errors_from_getbuildtest 
>>>>
>>>>
>>>>
>>>> Best,
>>>> Steve
>>>>
>>>> On Aug/30/10 6:55 AM, Jordi Campos Carol wrote:
>>>> > Hi everybody.
>>>> > I downloaded the source code, cygwin, and everything
>>>> the tutorioals
>>>> > said... and qhen I tried to cbuild Slicer, I had
>>>> these errors as
>>>> feedback.
>>>> > I tried to find where the errors where, but I couldn't.
>>>> > Any ideas?
>>>> > There's a txt file with the console text.
>>>> > Thanks
>>>> >
>>>> > Jordi Campos Carol
>>>> > UPC-ESAII
>>>> > Ed.K2M - Lab-S204a
>>>> > 93 413 76 19
>>>> >
>>>> >
>>>> > S'està citant [hidden email]
>>>> <mailto:[hidden email]>:
>>>> >
>>>> >> Just forwarding this dialogue for other users to
>>>> reference...
>>>> >>
>>>> >> ---------------------------- Original Message
>>>> >> ----------------------------
>>>> >> Subject: Re: [slicer-users] Cannot use pluggins on
>>>> Slicer 3.6.1
>>>> >> From: [hidden email]
>>>> <mailto:[hidden email]>
>>>> >> Date: Wed, August 25, 2010 8:02 am
>>>> >> To: "Jordi Campos Carol" <[hidden email]
>>>> <mailto:[hidden email]>>
>>>> >> Cc: [hidden email]
>>>> <mailto:[hidden email]>
>>>> >>
>>>> --------------------------------------------------------------------------
>>>>
>>>>
>>>> >>
>>>> >>
>>>> >> What Slicer build are you using? The HelloWorld
>>>> tutorial requires you
>>>> to
>>>> >> download and build Slicer from source:
>>>> >>
>>>> >> http://slicer.org/pages/SourceCode
>>>> >>
>>>> >>> From here, the Slicer3-lib folder is built.
>>>> >>
>>>> >> Hope that helps, and let us know if you run into any
>>>> issues.
>>>> >>
>>>> >> Stuart
>>>> >>
>>>> >>
>>>> >>> Hello everyone.
>>>> >>> I'm new at using 3D Slicer. I followed the training
>>>> "program" on the
>>>> >>> web but I cannot do the HELLOWORLD pluggin tutorial
>>>> 'cause I cannot
>>>> >>> find the Slicer3-lib folder... is that normal?
>>>> >>> Thanks for your time.
>>>> >>>
>>>> >>> Jordi Campos Carol
>>>> >>> UPC-ESAII - CREB
>>>> >>> Ed.K2M - Lab-S204a
>>>> >>> 93 413 76 19
>>>> >>>
>>>> >>>
>>>> >>>
>>>> >>>
>>>> >>>
>>>> >>> _______________________________________________
>>>> >>> slicer-users mailing list
>>>> >>> [hidden email]
>>>> <mailto:[hidden email]>
>>>> >>>
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>>> >>> To unsubscribe: send email to
>>>> >>> [hidden email]
>>>> <mailto:[hidden email]>
>>>> with unsubscribe as
>>>> the
>>>> >>> subject
>>>> >>>
>>>> >>>
>>>> >>>
>>>> >>
>>>> >>
>>>> >> _______________________________________________
>>>> >> slicer-users mailing list
>>>> >> [hidden email]
>>>> <mailto:[hidden email]>
>>>> >>
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>>> >> To unsubscribe: send email to
>>>> >> [hidden email]
>>>> <mailto:[hidden email]>
>>>> with unsubscribe as the
>>>> >> subject
>>>> >>
>>>> >
>>>> >
>>>> >
>>>> >
>>>> > _______________________________________________
>>>> > slicer-users mailing list
>>>> > [hidden email]
>>>> <mailto:[hidden email]>
>>>> >
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>>> > To unsubscribe: send email to
>>>> [hidden email]
>>>> <mailto:[hidden email]>
>>>> with unsubscribe as the
>>>> subject
>>>> _______________________________________________
>>>> slicer-users mailing list
>>>> [hidden email]
>>>> <mailto:[hidden email]>
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>>> To unsubscribe: send email to
>>>> [hidden email]
>>>> <mailto:[hidden email]>
>>>> with unsubscribe as the
>>>> subject
>>>>
>>>> _______________________________________________
>>>> slicer-users mailing list
>>>> [hidden email]
>>>> <mailto:[hidden email]>
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>>> To unsubscribe: send email to
>>>> [hidden email]
>>>> <mailto:[hidden email]> with
>>>> unsubscribe as the
>>>> subject
>>>>
>>>>
>>>> _______________________________________________
>>>> slicer-users mailing list
>>>> [hidden email] <mailto:[hidden email]>
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>>> To unsubscribe: send email to
>>>> [hidden email]
>>>> <mailto:[hidden email]> with
>>>> unsubscribe as the subject
>>>>
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> slicer-users mailing list
>>>> [hidden email] <mailto:[hidden email]>
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>>> To unsubscribe: send email to
>>>> [hidden email]
>>>> <mailto:[hidden email]> with
>>>> unsubscribe as the subject
>>>>
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> slicer-users mailing list
>>>> [hidden email]
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>>> To unsubscribe: send email to
>>>> [hidden email] with unsubscribe as the
>>>> subject
>>> _______________________________________________
>>> slicer-users mailing list
>>> [hidden email]
>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>> To unsubscribe: send email to
>>> [hidden email] with unsubscribe as the
>>> subject
>>>
>>
>>
>>
>>
>> _______________________________________________
>> slicer-users mailing list
>> [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject